Voice Bundles
GET
/api/v1/voicebundles

List all VoiceBundles for the organization

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Query Parameters

skip?Skip
Default0
limit?Limit
Default100

Header Parameters

Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null
X-Workspace-Id?string

Optional workspace scope. When omitted, the backend uses the active/default workspace from your organization context.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/voicebundles"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "bundle_type": "stt_llm_tts",    "stt_provider": "openai",    "stt_model": "string",    "stt_credential_id": "eb187100-9387-457a-a988-b0410c4a2c25",    "llm_provider": "openai",    "llm_model": "string",    "llm_temperature": 0,    "llm_max_tokens": 0,    "llm_config": {},    "llm_credential_id": "9f53723b-12ec-46a5-bdaa-fe324d964044",    "tts_provider": "openai",    "tts_model": "string",    "tts_voice": "string",    "tts_config": {},    "tts_credential_id": "e0d3c1fd-2fa1-4193-a64f-4bf411783f94",    "s2s_provider": "openai",    "s2s_model": "string",    "s2s_config": {},    "s2s_credential_id": "ae8829c5-10fe-4bd3-a55c-a23a8943d399",    "extra_metadata": {},    "is_active": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "created_by": "string"  }]

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!